<?php
    class Usuario extends Conectar{

public function login() {
        ob_start();
        $conectar = parent::Conexion();
        parent::set_names();

        if (isset($_POST["enviar"])) {
            $correo = $_POST["email_colab"];
            $pass   = $_POST["pass_colab"];


            if (empty($correo) || empty($pass)) {
                header("Location:".Conectar::ruta()."colab.php?m=2");
                exit();
            } else {

                $sql = "SELECT * FROM tm_colaborador WHERE email_colab = ?";
                $stmt = $conectar->prepare($sql);
                $stmt->bindValue(1, $correo);
                $stmt->execute();

                $resultado = $stmt->fetch();
            

                if ($resultado) {
                  
                    // Verificamos la contraseña con password_verify
                    if (password_verify($pass, $resultado["pass_colab"])) {
 
                        $_SESSION["id_colab"]     = $resultado["id_colab"];
                        $_SESSION["id_prof"]     = $resultado["id_prof"];
                        $_SESSION["nombre_colab"]     = $resultado["nombre_colab"];
                        $_SESSION["rut_colab"]    = $resultado["rut_colab"];

                        header("Location:".Conectar::ruta()."colab/Colab/");
                        exit();
                    } else {
                      
                        header("Location:".Conectar::ruta()."colab.php?m=3"); // error de contraseña
                        exit();
                    }
                } else {
                    header("Location:".Conectar::ruta()."colab.php?m=1"); // usuario no encontrado
                    exit();
                }
            }
        } else {
            echo "Paso 0: Formulario no enviado<br>";
        }
    }

}

?>